# UI components & terminology

![](img/3-1-ui-components.png)

When you first start Mirae WAVE, this environment consists of the following elements:
1. The **Menu Bar** contains menus for controlling and rendering 3-D images.

![](img/3-1-1-ui-menu-bar.png)

*  Commands can be represented as buttons on the *Quick Access Toolbar*. You can customize the toolbar to include any command that you use frequently by right-click on **Menu Bar** area.
*  The *Title Bar* displays the name of the active layer.
*  When you click the *Mirae WAVE Button*, commands related to opening files (or directories), saving images, options for program configuration, and license registration are displayed.
*  In *Menu Categories*, *Home* is active by default. You can click a certain category to use its corresponding *Ribbon*.
*  The *Ribbon* contains panels (each panel has its own buttons) for controlling display options and working with the program.
*  The *Tab Menu Bar* ...

1.  The **Variables Pane** contains list of variables in numerical data.

1.  The **Area Pane** displays region (map area) of the gridded layer...

1.  The **Rendering Pane** displays meteorological data in multiple layers...

1.  The **Layers Pane** displays and manages the layer list...

1.  The **Actions Pane** shows the history of actions, with *Undo* and *Redo* buttons for undoing and redoing actions, respectively.




> To Trang:  
> How about naming the UI components as, "menu bar", "variables pane", "area pane", "rendering pane", "layers pane", "actions pane"?. I myself don't like the names very much. Let me know if you have better names.
> 
> How about "Menu Category"(top-left) instead of "Tabs", "Quick Menu( Button)"(top-right), "Menu Button" on the "Menu Bar"


<br><br>

| [Previous Page](2-3-license) | [Home (Table of Contents)](home) | [Next Page](3-2-open-data) |
| :------- | :----------------------: | ---: |
